Bug 19130 - xracer causes gcc to internal error
xracer causes gcc to internal error
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-10-15 05:52 EDT by Daniel Thompson
Modified: 2007-03-26 23:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 17:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Thompson 2000-10-15 05:52:49 EDT
One file in xracer (http://xracer.annexia.org/files/) does not compile
using gcc-2.96. The problem file is tracks/simple2/obj_TrackScenery.c.
This file causes gcc to massively leak memory (or at least rapidly increase
its footprint until failure).

Affects only optimisation levels >= -O2.

This bug has only been filed for tracking purposes at request of a RH
engineer (cf #18597).
Comment 1 Jakub Jelinek 2000-10-17 10:02:40 EDT
Haifa scheduler has O(n^2) space requirements and for 5160 calls in one routine
needs a lot of memory. I'll be looking into putting some limits and just don't
schedule if the memory requirements go beyond that, but I consider it low
priority, since this is really an extreme case and the author should be thought
how to program sanely.
Comment 2 Richard Henderson 2004-10-01 17:39:27 EDT
is corrupt, so I can't do anything with this PR.

Note You need to log in before you can comment on or make changes to this bug.